package buildjob;


import com.atlassian.bamboo.specs.api.builders.plan.Plan;
import com.atlassian.bamboo.specs.api.exceptions.PropertiesValidationException;
import com.atlassian.bamboo.specs.api.util.EntityPropertiesBuilders;
import org.junit.Test;

public class PlanSpecTest {
    @Test
    public void checkYourPlanOffline() throws PropertiesValidationException {
        Plan plan = new PlanSpec().createDockerBuildPlan();

        EntityPropertiesBuilders.build(plan);
    }

    @Test
    public void checkYourSecPlanOffline() throws PropertiesValidationException {
        Plan secPlan = new PlanSpec().createSecBuild();
        EntityPropertiesBuilders.build(secPlan);
    }
}